cabal-install-solver-3.10.1.0: The command-line interface for Cabal and Hackage.

Safe Haskell | Safe-Inferred
Language | Haskell2010

Distribution.Solver.Modular.Configured

Synopsis

- data CP qpn = CP (PI qpn) FlagAssignment OptionalStanzaSet (ComponentDeps [PI qpn])

# Documentation

data CP qpn #

A configured package is a package instance together with a flag assignment and complete dependencies.

Constructors

CP (PI qpn) FlagAssignment OptionalStanzaSet (ComponentDeps [PI qpn]) |